Loading...
Searching...
No Matches
unity::shell::scopes::OptionSelectorOptionsInterface Class Referenceabstract
Inheritance diagram for unity::shell::scopes::OptionSelectorOptionsInterface:
[legend]
Collaboration diagram for unity::shell::scopes::OptionSelectorOptionsInterface:
[legend]

## Public Types

enum | Roles { RoleOptionId = Qt::UserRole + 1 , RoleOptionLabel , RoleOptionChecked }

## Public Member Functions

virtual Q_INVOKABLE void | setChecked (int index, bool checked)=0
QHash< int, QByteArray > | roleNames () const override

The documentation for this class was generated from the following file:

- include/unity/shell/scopes/OptionSelectorOptionsInterface.h